<?php
class Javascript extends AppModel {

	public $tablePrefix = 'live_';

	public $actsAs = array(
		'Live' => array(
			'field' => 'data',
			'folder' => 'webroot/js',
			'extension' => 'js')
	);

	public $validate = array(
		'name' => array(
			'notempty',
			'isUnique' => 'The javascript name must be unique'
		)
	);

	public $formOptions = array(
		'data' => array(
			'rte' => false,
			'class' => 'cm-js',
			'style' => 'height:600px;font-family:Monospace,Courier New'
		)
	);

}
